Package icyllis.arc3d.core

# Enum Class ColorSpace.Model

java.lang.Object
java.lang.Enum<ColorSpace.Model>
icyllis.arc3d.core.ColorSpace.Model

All Implemented Interfaces:
  `Serializable`, `Comparable<ColorSpace.Model>`, `Constable`

Enclosing class:
  `ColorSpace`

public static enum ColorSpace.Model extends Enum<ColorSpace.Model>
A color model is required by a `ColorSpace` to describe the way colors can be represented as tuples of numbers. A common color model is the `RGB` color model which defines a color as represented by a tuple of 3 numbers (red, green and blue).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CMYK`
  The CMYK model is a color model with 4 components that refer to four inks used in color printing: cyan, magenta, yellow and black (or key).
  `LAB`
  The Lab model is a color model with 3 components used to describe a color space that is more perceptually uniform than XYZ.
  `RGB`
  The RGB model is a color model with 3 components that refer to the three additive primaries: red, green and blue.
  `XYZ`
  The XYZ model is a color model with 3 components that are used to model human color vision on a basic sensory level.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getComponentCount()`
  Returns the number of components for this color model.
  `static ColorSpace.Model`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ColorSpace.Model[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RGB

    public static final ColorSpace.Model RGB
    The RGB model is a color model with 3 components that refer to the three additive primaries: red, green and blue.

  - ### XYZ

    public static final ColorSpace.Model XYZ
    The XYZ model is a color model with 3 components that are used to model human color vision on a basic sensory level.

  - ### LAB

    public static final ColorSpace.Model LAB
    The Lab model is a color model with 3 components used to describe a color space that is more perceptually uniform than XYZ.

  - ### CMYK

    public static final ColorSpace.Model CMYK
    The CMYK model is a color model with 4 components that refer to four inks used in color printing: cyan, magenta, yellow and black (or key). CMYK is a subtractive color model.

- ## Method Details

  - ### values

    public static ColorSpace.Model[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ColorSpace.Model valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getComponentCount

    public int getComponentCount()
    Returns the number of components for this color model.
    Returns:
      An integer between 1 and 4